| Qore reflection Module 1.14.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Qore::Reflection::StaticMethod Class Reference

This class provides information about Qore static class methods. More...

`#include <QC_StaticMethod.dox.h>`

Inheritance diagram for Qore::Reflection::StaticMethod:

## Public Member Functions
auto | call (...)
| calls the given method with the given arguments
auto | callArgs (*softlist< auto > argv)
| calls the given method with the given arguments as a list
| constructor (Class cls, string method)
| Creates the object from the class and static method name.
| constructor (string class_name, string method)
| Creates the object from the class name or namespace path and static method name.
Public Member Functions inherited from Qore::Reflection::AbstractMethod
| constructor ()
| Throws an exception if called directly; this class can only be instantiated by builtin subclasses.
AbstractClass | getClass ()
| Returns the class for the method.
string | getMethodTypeName ()
| returns the type of method as a string; one of `"normal"`, `"static"`, `"constructor"`, `"destructor"`, `"copy"`
AbstractMethodVariant | getVariant (...)
| Returns the given direct child method variant declared in this method or throws an exception if the method variant is not defined.
AbstractMethodVariant | getVariantArgs (softlist< Type > argv)
| Returns the given direct child method variant declared in this method or throws an exception if the method variant is not defined.
list< AbstractMethodVariant > | getVariants ()
| returns the variants implemented by the method
bool | isStatic ()
| returns True if the method is a static method
Public Member Functions inherited from Qore::Reflection::AbstractReflectionFunction
| constructor ()
| Throws an exception if called directly; this class can only be instantiated by builtin subclasses.
list< string > | getCodeFlagList ()
| returns a list of strings of code flags common to all variants for this function
int | getCodeFlags ()
| returns a bitfield of code flags common to all variants for this function
int | getDomain ()
| returns the functional domain common to all variants for this function (for builtin functions only) as a bitfield of Functional Domain Constants
list< string > | getDomainStringList ()
| returns a list of functional domain strings common to all variants for this function (for builtin functions only); an empty list is returned for user functions
*string | getModuleName ()
| Returns the module name providing the function or method or NOTHING if the function or method was not provided by a module.
string | getName ()
| returns the function or method name
bool | isBuiltin ()
| returns True if the function or method is a builtin function or method
bool | isEqual (AbstractReflectionFunction func)
| Returns True if the function or method object passed as an argument is equal to the current object; False if not.
bool | isInjected ()
| returns True if the function or method has been injected as a dependency injection
bool | isMethod ()
| returns True if the object is a method but not a pseudo-method
bool | isPseudoMethod ()
| returns True if the object is a pseudo-method
bool | isUser ()
| returns True if the function or method is a user function or method
int | numVariants ()
| returns the number of variants implemented by the function or method

## Detailed Description

This class provides information about Qore static class methods.

Restrictions:
  Qore::PO_NO_REFLECTION

See also
  StaticMethodVariant

Since
  Qore 0.9.0

## Member Function Documentation

## ◆ call()

auto Qore::Reflection::StaticMethod::call | ( |  | ... | ) |

calls the given method with the given arguments

Example:
  auto v = m.call(arg1, arg2);

Parameters

  ... | optional arguments to the method

Returns
  the return value of the method call

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class and method has been destroyed

See also
  callArgs()

## ◆ callArgs()

auto Qore::Reflection::StaticMethod::callArgs | ( | *softlist< auto > | argv | ) |

calls the given method with the given arguments as a list

Example:
  auto v = m.callArgs(argv);

Parameters

  argv | optional arguments to the method

Returns
  the return value of the method call

Exceptions

  PROGRAM-ERROR | thrown if the Program object holding the class and method has been destroyed

See also
  call()

## ◆ constructor() [1/2]

Qore::Reflection::StaticMethod::constructor | ( | Class | cls,
|  | string | method )

Creates the object from the class and static method name.

Example:
  StaticMethod m(cls, name);

Parameters

  cls | the class for the method
  method | the static method name

Exceptions

  UNKOWN-METHOD | cannot find a static method with the given name

## ◆ constructor() [2/2]

Qore::Reflection::StaticMethod::constructor | ( | string | class_name,
|  | string | method )

Creates the object from the class name or namespace path and static method name.

Example:
  StaticMethod m(class_name, method_name);

Parameters

  class_name | the class name or namespace path for the method
  method | the static method name

Exceptions

  UNKNOWN-CLASS | cannot find a class with the given name or path
  UNKOWN-METHOD | cannot find a static method with the given name

The documentation for this class was generated from the following file:

- modules/reflection/src/QC_StaticMethod.dox.h